API DocumentationManufacturer order controller

Update order kanban column

PATCH
/api/manufacturer/v1/order/{id}/kanban-column

Moves an order to a different kanban column. Optional skipAutomationTypes field suppresses the named column automations for this request only.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

ID of the order to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Kanban column details

Response Body

curl -X PATCH "https://example.com/api/manufacturer/v1/order/1/kanban-column" \  -H "Content-Type: application/json" \  -d '{    "kanbanColumnId": "27499dc2-5b09-4761-a653-1ede87308d6b",    "kanbanColumnAutomationRequestDtos": [      {        "type": "string"      }    ],    "skipAutomationTypes": [      "string"    ]  }'
Empty
Empty
Empty

Last updated on